Package twisted :: Package news :: Module database :: Class PickleStorage

[frames | no frames]

## Class PickleStorage

A trivial NewsStorage implementation using pickles

Contains numerous flaws and is generally unsuitable for any real applications. Consider yourself warned!

Method Summary
| `__init__(self, filename, groups, moderators)`
| `articleExistsRequest(self, id)`
| `articleRequest(self, group, index, id)`
| `bodyRequest(self, group, index)`
| `flush(self)`
| `getModerators(self, groups)`
| `groupRequest(self, group)`
| `headRequest(self, group, index)`
| `listGroupRequest(self, group)`
| ``listRequest`(self)` Returns a list of 4-tuples: (name, max index, min index, flags)
| `load(self, filename, groups, moderators)`
| `notifyModerators(self, moderators, article)`
| `overviewRequest(self)`
| `postRequest(self, message)`
| `subscriptionRequest(self)`
| `xhdrRequest(self, group, low, high, header)`
| `xoverRequest(self, group, low, high)`

Class Variable Summary
`tuple` | `__implements__` = `(<class twisted.news.database.INewsStor...`
`dict` | `sharedDBs` = `{}`

Method Details

### listRequest(self)

Returns a list of 4-tuples: (name, max index, min index, flags)

Class Variable Details

### __implements__

  Type:
    `tuple`
  Value:

        (<class twisted.news.database.INewsStorage at 0x8c3ecf4>,)

### sharedDBs

  Type:
    `dict`
  Value:

        {}

Generated by Epydoc 2.0 on Sat May 15 20:07:43 2004 | http://epydoc.sf.net